package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sku销售额排行数据查询返回值实体
 *
 * @since 2023-11-16
 */
@Getter
@Setter
public class SkuSalesAmountRankingVo {

    /**
     * sku品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "sku品号", index = 0)
    private String skuSpecCode;

    /**
     * sku品名
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "sku品名", index = 1)
    private String skuSpecName;

    /**
     * 销售额
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "销售额（元）", index = 2)
    private BigDecimal salesAmount;
}
